%define name    stereograph 
%define version 0.33b
%define release %mkrel 8

Name:           %{name} 
Summary:        Stereograph for linux, an advanced stereogram generator 
Version:        %{version} 
Release:        %{release} 
Source0:        http://download.sourceforge.net/stereograph/%{name}-%{version}.tar.bz2 
Patch0:         %name-makefile.patch
URL:            http://stereograph.sourceforge.net/
Group:          Graphics 
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
License:        GPL 


BuildRequires:  X11-devel
BuildRequires:  jpeg-devel
BuildRequires:  png-devel


%description
Stereograph is a stereogram generator. In detail it is a single image
stereogram (SIS) generator. That's a program that produces twodimensional
images that seem to be threedimensional (surely you know the famous works of
"The Magic Eye", Stereograph produces the same output). You do _not_ need
any pair of colored spectacles to regard them - everyone can learn it.

%prep 
%setup -q  
%patch0 -p0

%build 
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make install PREFIX=$RPM_BUILD_ROOT/usr 

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS 
%{_mandir}/man1/stereograph*
%{_bindir}/stereograph 





%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.33b-8mdv2011.0
+ Revision: 614982
- the mass rebuild of 2010.1 packages

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.33b-7mdv2010.0
+ Revision: 434134
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.33b-6mdv2009.0
+ Revision: 261178
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.33b-5mdv2009.0
+ Revision: 253561
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.33b-3mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Aug 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-30 11:21:35 (58782)
- Increase release
- Fix some rpmlint warnings

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 15:11:53 (43271)
- import stereograph-0.33b-2mdk

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.33b-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Erwan Velu <erwan@seanodes.com> 0.33b-1mdk 
- Alpha pre 0.0.0.0.1 test realease 
- Thx Oznog for this rpm

